## nfs-utils-1.0.7.tar.bz2

=== tools/Makefile ===
#
# Various debugging/testing tools
#

SUBDIRS	= rpcgen getiversion getkversion  rpcdebug locktest
# nlmtest doesn't work 

include $(TOP)rules.mk

=== support/export/Makefile ===
#
# libexport.a
# Miscellaneous utility functions related to exporting and mounting
# of NFS volumes.
#

LIBNAME	= libexport.a
SRCS	= $(RPCSRCS) client.c export.c hostname.c nfsctl.c rmtab.c \
	  xtab.c
OBJS	= $(SRCS:.c=.o)

RPCSRCS	= mount_clnt.c mount_xdr.c
RPCHDRS	= mount.h

include $(TOP)rules.mk

$(RPCHDRS) $(RPCSRCS): mount.x
	$(RM) $(RPCHDRS) $(RPCSRCS)
	$(RPCGEN) -h -o mount.h $<
	$(RPCGEN) -l -o mount_clnt.c $<
	$(RPCGEN) -c -o mount_xdr.c $<

clean distclean::
	$(RM) $(RPCHDRS) $(RPCSRCS)

install::
	@:

predep:: $(RPCHDRS) $(RPCSRCS)
	$(LN_S) ../export/mount.h ../include/mount.h

=== support/rpc/Makefile ===
#
# librpc.a
# rpc library with rpcsec_gss
#

LIBNAME	= librpc.a
SRCS	= auth_gss.c authgss_prot.c svc.c svc_run.c svc_auth.c \
	  svc_auth_none.c svc_auth_unix.c svc_auth_gss.c \
	  svc_raw.c svc_simple.c svc_tcp.c svc_udp.c \
	  rpc_commondata.c
OBJS	= $(SRCS:.c=.o)

include $(TOP)rules.mk

CFLAGS += -I$(TOP)support/rpc/include -DDEBUG

install::
	@:

=== tools/rpcdebug/Makefile ===
#
# knfsd tools
#

TOOL	= rpcdebug nfsdebug nfsddebug
OBJS	= rpcdebug.o

include $(TOP)rules.mk

install::
	@:

=== utils/lockd/Makefile ===
#
# Makefile for lockd
#

PROGRAM	= lockd
PREFIX	= rpc.
OBJS	= lockd.o
DEPLIBS = $(TOP)support/lib/libfs.a
LIBS	= -lnfs
MAN8	= lockd

include $(TOP)rules.mk

=== utils/mountd/Makefile ===
#
# Makefile for rpc.mountd
#

PROGRAM	= mountd
PREFIX	= rpc.
OBJS	= mountd.o mount_dispatch.o auth.o rmtab.o cache.o svc_run.o
LIBDEPS	= $(TOP)support/lib/libexport.a $(TOP)/support/lib/libnfs.a
LIBS	= -lexport -lnfs -lmisc $(LIBBSD) $(LIBWRAP) $(LIBNSL)
MAN8	= mountd

include $(TOP)rules.mk

=== utils/nhfsstone/Makefile ===
#
# Makefile for nhfsstone
#

SCRIPTS	= nhfsrun nhfsnums nhfsgraph

PROGRAM	= nhfsstone
OBJS	= nhfsstone.o
MAN8	= nhfsstone $(SCRIPTS)

include $(TOP)rules.mk

install::
	for s in $(SCRIPTS); do \
	    $(INSTALLSCRIPT) $$s $(SBINDIR)/$(PREFIX)$k$$s; \
	done

=== utils/statd/Makefile ===
# Copyright (C) 1995-1999 Jeffrey A. Uphoff
# Adapted for linux-nfs build tree by Olaf Kirch, 1996.
#
# NSM for Linux.

# Uncomment for embedded client-side simulation functions.
#SIMUL	= -DSIMULATIONS

# Undefined is normal, defined provides debug logging.
#DEBUG	= -DDEBUG

##################################################################
#	no user-serviceable parts below this line
##################################################################
PROGRAM	= statd
PREFIX	= rpc.
OBJS	= $(SRCS:.c=.o)
CCOPTS	= $(DEBUG) $(SIMUL)
LIBS	= -lexport -lnfs -lmisc $(LIBWRAP) $(LIBNSL)

SRCS	= $(RPCSRCS) $(SIMSRCS) \
	  callback.c notlist.c log.c misc.c monitor.c notify.c simu.c \
	  stat.c statd.c state.c svc_run.c rmtcall.c
HDRS	= $(RPCHDRS) $(SIMHDRS)

RPCSRCS	= sm_inter_clnt.c sm_inter_svc.c sm_inter_xdr.c
RPCHDRS	= sm_inter.h

ifdef SIMUL
SIMSRCS	= sim_sm_inter_clnt.c sim_sm_inter_svc.c
SIMHDRS	= sim_sm_inter.h
SRCS   += simulate.c
endif

MAN8	= statd

include $(TOP)rules.mk

AFLAGS	+= -Wno-unused

$(RPCHDRS) $(RPCSRCS):	sm_inter.x
	$(RM) $(RPCHDRS) $(RPCSRCS)
	$(RPCGEN) -h -o sm_inter.h $<
	$(RPCGEN) -l -o sm_inter_clnt.c $<
	$(RPCGEN) -m -o sm_inter_svc.c $<
	$(RPCGEN) -c -o sm_inter_xdr.c $<

$(SIMHDRS) $(SIMSRCS):	sim_sm_inter.x
	$(RM) $(SIMHDRS) $(SIMSRCS)
	$(RPCGEN) -h -o sim_sm_inter.h $<
	$(RPCGEN) -l -o sim_sm_inter_clnt.c $<
	$(RPCGEN) -m -o sim_sm_inter_svc.c $<

clean::
	$(RM) $(PROGRAM)

distclean::
	$(RM) $(RPCHDRS) $(RPCSRCS) $(SIMHDRS) $(SIMSRCS)

predep:: $(RPCHDRS) $(RPCSRCS)

=== utils/svcgssd/Makefile ===
#
# Makefile for rpc.gssd
#

PROGRAM	= svcgssd
PREFIX	= rpc.
OBJS	= svcgssd.o svcgssd_main_loop.o svcgssd_proc.o err_util.o gss_util.o \
	  gss_oids.o context.o context_heimdal.o cacheio.o svcgssd_mech2file.o
LIBDEPS	= $(TOP)support/lib/librpc.a $(TOP)support/lib/libgssapi.a
LIBS	= -Wl,-rpath=$(KRBDIR)/lib -lrpc -lgssapi -ldl $(KRBLIB) -lnfsidmap
MAN8	= svcgssd

predep ::
	- ln ../gssd/err_util.c
	- ln ../gssd/gss_util.c
	- ln ../gssd/gss_oids.c
	- ln ../gssd/context.c
	- ln ../gssd/context_heimdal.c

include $(TOP)rules.mk

CFLAGS += -I../gssd -DKRB5_VERSION=$(KRB5_VERSION) \
	-I$(TOP)support/rpc/include/ -I$(KRBDIR)/include

=== debian/control ===
Source: nfs-utils
Priority: standard
Section: net
Maintainer: Chip Salzenberg <chip@debian.org>
Build-Depends: debhelper (>= 4.1.16), libwrap0-dev, libevent-dev, libnfsidmap-dev, libkrb5-dev
Standards-Version: 3.1.1.1

Package: nfs-kernel-server
Priority: optional
Architecture: any
Depends: nfs-common (>= 1:0.3.3-3), debconf (>= 1.0), sysvinit (>= 2.80-1), ${shlibs:Depends}
Provides: knfs, nfs-server
Conflicts: knfs, nfs-server
Replaces: knfs, nfs-server
Description: Kernel NFS server support
 Use this package if you have a fairly recent kernel (2.2.13 or better)
 and you want to use the kernel-mode NFS server.  The user-mode NFS
 server in the "nfs-user-server" package is slower but more featureful
 and easier to debug than the kernel-mode server.
 .
 Upstream: SourceForge project "nfs", CVS module nfs-utils.

Package: nfs-common
Architecture: any
Depends: portmap, debconf (>= 1.0), sysvinit (>= 2.80-1), ${shlibs:Depends}
Provides: nfs-client
Conflicts: nfs-client
Replaces: nfs-client
Description: NFS support files common to client and server
 Use this package on any machine that does NFS either as client or
 server.  Programs included: lockd, statd, showmount, and nfsstat.
 .
 Upstream: SourceForge project "nfs", CVS module nfs-utils.

Package: nhfsstone
Priority: extra
Architecture: any
Depends: nfs-common, ${shlibs:Depends}
Replaces: nfs-kernel-server
Description: NFS benchmark program.
 .
 Upstream: SourceForge project "nfs", CVS module nfs-utils.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# You can use gcc 2.7.2 if it's installed,
#   but I don't think that's necessary any more.
#SETGCC	:= CC=$(notdir $(shell which gcc272 gcc 2>/dev/null | sed '1q'))

# Temporary root
DEBTMP	:= $(shell pwd)/debian/tmp

build: build-stamp
build-stamp:
	# Debian source diffs don't reflect removals.
	# This kludge will suffice until the next upstream version. *sigh*
	rm -f debian/nfs-common.config		\
	      debian/nfs-common.templates	\
	      debian/nfs-kernel-server.config	\
	      debian/nfs-kernel-server.templates

	dh_testdir
	# Add here commands to compile the package.
	$(SETGCC) ./configure \
		--mandir='$${prefix}/share/man' \
		--enable-secure-statd
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	dh_install
	# Add here commands to install the files into debian/tmp
	$(MAKE) install_prefix='$(DEBTMP)' install
	dh_movefiles
	# Fixups Start Here #
	cd debian && \
	  for f in lockd statd showmount; do \
	    mv tmp/usr/sbin/*$$f nfs-common/sbin; \
	    perl -pi -e "s#/usr(/sbin/(rpc\\.)?$$f)#\$$1#g" \
		nfs-common/usr/share/man/man8/$$f.8; \
	  done; \
	  rm -f tmp/usr/sbin/*quota*; \
	  rm -f tmp/usr/share/man/man8/*quota*; \
	  rm -rf tmp/var/lib/nfs/*; \
	  cp --preserve=timestamps etc.exports tmp/etc/exports
	# Fixups End Here #
	dh_installdocs -A README
	dh_installexamples
#	dh_installmenu
	dh_installinit -n
#	dh_installcron
#	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdebconf
	dh_installdeb
#	dh_makeshlibs
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
